Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ContentQuota

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.ApplicationObject

                                    |

                                    +--oracle.ifs.beans.TieApplicationObject

                                          |

                                          +--oracle.ifs.beans.ContentQuota

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieContentQuota

public class ContentQuota
extends TieApplicationObject

A ContentQuota contains information that defines how much storage space in iFS is allocated and consumed by the DirectoryUser. For quota enforcement, the ContentQuota object must be enabled.

See Also:
  `ContentQuotaDefinition`

Field Summary
`static java.lang.String` | `ALLOCATEDSTORAGE_ATTRIBUTE` The amount of storage space allocated by this ContentQuota to the DirectoryUser.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONSUMEDSTORAGE_ATTRIBUTE` The amount of storage space currently consumed by the DirectoryUser.
`static java.lang.String` | `DIRECTORYUSER_ATTRIBUTE` The DirectoryUser that has allocated/consumed the storage space represented by this ContentQuota.
`static java.lang.String` | `ENABLED_ATTRIBUTE` An indicator of whether the ContentQuota is enabled or disabled.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`void` | `calculateConsumedStorage()` Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
`long` | `getAllocatedStorage()` Gets the amount of allocated storage.
`long` | `getConsumedStorage()` Gets the amount of consumed storage.
`DirectoryUser` | `getDirectoryUser()` Gets the DirectoryUser for this ContentQuota object.
`boolean` | `isEnabled()` Determines whether quota enforcement is enabled.
`void` | `setAllocatedStorage(long value)` Sets the amount of allocated storage.
`void` | `setEnabled(boolean enable)` ContentQuota can be enabled or disabled.

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, handleEvent, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### DIRECTORYUSER_ATTRIBUTE

    public static final java.lang.String DIRECTORYUSER_ATTRIBUTE

  The DirectoryUser that has allocated/consumed the storage space represented by this ContentQuota.

### ALLOCATEDSTORAGE_ATTRIBUTE

    public static final java.lang.String ALLOCATEDSTORAGE_ATTRIBUTE

  The amount of storage space allocated by this ContentQuota to the DirectoryUser.

### CONSUMEDSTORAGE_ATTRIBUTE

    public static final java.lang.String CONSUMEDSTORAGE_ATTRIBUTE

  The amount of storage space currently consumed by the DirectoryUser.

### ENABLED_ATTRIBUTE

    public static final java.lang.String ENABLED_ATTRIBUTE

  An indicator of whether the ContentQuota is enabled or disabled.

Method Detail

### getDirectoryUser

    public DirectoryUser getDirectoryUser()
                                   throws IfsException

  Gets the DirectoryUser for this ContentQuota object.
  Returns:
    the DirectoryUser
  Throws:
    `IfsException` - if operation fails.

### getAllocatedStorage

    public long getAllocatedStorage()
                             throws IfsException

  Gets the amount of allocated storage. Returns 0 if no storage value is set.
  Returns:
    allocated storage (in bytes)
  Throws:
    `IfsException` - if operation fails.

### setAllocatedStorage

    public void setAllocatedStorage(long value)
                             throws IfsException

  Sets the amount of allocated storage.
  Parameters:
    `allocated` - storage (in bytes)
  Throws:
    `IfsException` - if operation fails.

### getConsumedStorage

    public long getConsumedStorage()
                            throws IfsException

  Gets the amount of consumed storage. Returns 0 if no storage value is set.
  Returns:
    Consumed storage (in bytes)
  Throws:
    `IfsException` - if operation fails.

### calculateConsumedStorage

    public void calculateConsumedStorage()
                                  throws IfsException

  Calculates the current consumed storage for the DirectoryUser and updates this ContentQuota object.
  Throws:
    `IfsException` - if operation fails.

### isEnabled

    public boolean isEnabled()
                      throws IfsException

  Determines whether quota enforcement is enabled.
  Returns:
    true if quota enabled
  Throws:
    `IfsException` - if the operation fails

### setEnabled

    public void setEnabled(boolean enable)
                    throws IfsException

  ContentQuota can be enabled or disabled.
  Parameters:
    `enable` - true if quota should be effective
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD